/**
 * PETALS: PETALS Services Platform Copyright (C) 2009 EBM WebSourcing
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 * 
 * Initial developer(s): EBM WebSourcing
 */
package org.ow2.petals.component.framework.api.notification;

import org.ow2.petals.component.framework.api.exception.PEtALSCDKException;

/**
 * LifeCycle for inner CDK services. Strongly linked with JBI lifecycle for most
 * services...
 * 
 * @author chamerling - eBM WebSourcing
 * @since 2.1
 */
public interface LifeCyle {

    enum STATE {
        UNKNOWN, INIT, STARTED, STOPPED
    }

    void init() throws PEtALSCDKException;

    void start() throws PEtALSCDKException;

    void stop() throws PEtALSCDKException;

}
